> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /faire/products

> Get full Faire wholesale product details by token (or product URL): name, description, taxonomy type, images, retail (MSRP) price, options (SKU, GTIN, availability, weight), minimum order quantity and the brand summary.

**Price:** 1 credit

**⚠️ Common errors:** 412: Product not found (well-formed but nonexistent token)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/faire/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/faire/products:
    post:
      tags:
        - /faire
      summary: /faire/products
      description: >-
        Get full Faire wholesale product details by token (or product URL):
        name, description, taxonomy type, images, retail (MSRP) price, options
        (SKU, GTIN, availability, weight), minimum order quantity and the brand
        summary.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Product not found (well-formed but
        nonexistent token)
      operationId: __api_faire_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FaireProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FaireProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FaireProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        country:
          $ref: '#/components/schemas/FaireCountry'
          default: USA
        product:
          type: string
          minLength: 1
      type: object
      required:
        - product
    FaireProduct:
      properties:
        '@type':
          type: string
          default: FaireProduct
        id:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        taxonomy_type:
          anyOf:
            - type: string
            - type: 'null'
        taxonomy_type_group:
          anyOf:
            - type: string
            - type: 'null'
        ships_from:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        video_urls:
          items:
            type: string
          type: array
          default: []
        min_order_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        unit_multiplier:
          anyOf:
            - type: integer
            - type: 'null'
        maker_best_seller:
          type: boolean
          default: false
        is_new:
          type: boolean
          default: false
        retail_price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        brand_token:
          anyOf:
            - type: string
            - type: 'null'
        options:
          items:
            $ref: '#/components/schemas/FaireProductOption'
          type: array
          default: []
        brand:
          anyOf:
            - $ref: '#/components/schemas/FaireProductBrand'
            - type: 'null'
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    FaireCountry:
      type: string
      enum:
        - USA
        - GBR
        - AUS
        - FRA
        - DEU
        - ITA
        - ESP
        - NLD
        - PRT
        - SWE
        - DNK
    FaireProductOption:
      properties:
        '@type':
          type: string
          default: FaireProductOption
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        brand_code:
          anyOf:
            - type: string
            - type: 'null'
        gtin:
          anyOf:
            - type: string
            - type: 'null'
        retail_price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        available_units:
          anyOf:
            - type: integer
            - type: 'null'
        min_order_quantity:
          anyOf:
            - type: integer
            - type: 'null'
        weight:
          anyOf:
            - type: number
            - type: 'null'
        weight_unit:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        brand_availability:
          anyOf:
            - type: string
            - type: 'null'
        orderability_type:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    FaireProductBrand:
      properties:
        '@type':
          type: string
          default: FaireProductBrand
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        minimum_order_amount:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        published_products_count:
          anyOf:
            - type: integer
            - type: 'null'
        lower_bound_lead_time_days:
          anyOf:
            - type: integer
            - type: 'null'
        upper_bound_lead_time_days:
          anyOf:
            - type: integer
            - type: 'null'
        is_top_shop:
          type: boolean
          default: false
        owner_first_name:
          anyOf:
            - type: string
            - type: 'null'
        average_rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````